Subject: bug#1451: 23.0.60; *shell* swallows meaningful command output lines

From: Tassilo Horn <[email-masked]>
Date: Fri, 28 Nov 2008 14:38:47 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

When I use `M-x shell' and go to one of my git repositories I get this:

--8<---------------cut here---------------start------------->8---
horn@thinkpad:~/repos/org> git status
# On branch master
no changes added to commit (use "git add" and/or "git commit -a")
--8<---------------cut here---------------end--------------->8---

When I do the same in a terminal emulator outside emacs I get:

--8<---------------cut here---------------start------------->8---
╭─[horn@thinkpad]─[~/repos/org]─[0]─[5410]
╰─[:)] % git status
# On branch master
# Changed but not updated:
#   (use "git add <file>..." to update what will be committed)
#
#	modified:   private.org
#	modified:   remember.org
#	modified:   uni.org
#
no changes added to commit (use "git add" and/or "git commit -a")
--8<---------------cut here---------------end--------------->8---

Clearly that's what I expect from inside emacs, too.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (x86_64-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2008-11-27 on thinkpad
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
configured using `configure  '--prefix=/usr' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--libdir=/usr/lib64' '--program-suffix=-emacs-23' '--infodir=/usr/share/info/emacs-23' '--with-sound' '--with-x' '--with-toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm' '--with-freetype' '--with-xft' '--with-libotf' '--with-m17n-flt' '--with-x-toolkit=gtk' '--without-hesiod' '--without-kerberos' '--without-kerberos5' '--with-gpm' '--with-dbus' '--build=x86_64-pc-linux-gnu' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-g -ggdb -O1 -pipe' 'LDFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
  dirtrack-mode: t
  rcirc-track-minor-mode: t
  yas/minor-mode: t
  recentf-mode: t
  iswitchb-mode: t
  window-number-meta-mode: t
  window-number-mode: t
  savehist-mode: t
  exec-abbrev-cmd-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-s C-s <return> C-x b <return> C-c C-SPC C-c C-SPC 
C-c C-SPC C-c C-SPC C-c C-SPC C-c C-SPC C-c g <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <return> 
c <up> <up> <up> <return> c <return> c <return> SPC 
c <return> SPC c <return> SPC c <return> SPC SPC SPC 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <backspace> SPC SPC c <return> c l s C-c g 
g <up> <up> <up> <return> <return> c <up> <up> <up> 
<up> <up> <up> <up> <return> c <return> SPC c <return> 
c l s C-c s c d SPC u n <tab> r <tab> t r <tab> <tab> 
<tab> n <tab> <return> s v n SPC u p <return> . . <return> 
c d SPC <tab> t r <tab> <tab> u <tab> <return> s v 
n SPC u p <return> . . <return> . . <return> . . <return> 
c d SPC r e p <tab> o r g <tab> <return> g i t SPC 
s t a t <tab> t <tab> <backspace> e s <backspace> <backspace> 
i s <backspace> <backspace> e s <backspace> <backspace> 
o s <backspace> <backspace> u s <return> p w d <return> 
l s <return> <down-mouse-1> <mouse-1> M-x r e b <return> 
r e p o <tab> <return>

Recent messages:
No completions of stat
Completing file name...
No completions of stat
No completions of statt
Completing file name...
No completions of statt
error in process filter: dirtrack: Directory 
#   (use "git add <file/ does not exist
error in process filter: Directory 
#   (use "git add <file/ does not exist

-- 
[Emacs] is written in Lisp, which is the only computer language that is
beautiful.  -- Neal Stephenson, _In the Beginning was the Command Line_